%define major   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:		drumstick
Summary:	C++/Qt6 wrapper around the ALSA library sequencer interface
Version:	2.9.0
Release:	%mkrel 3
Group:		System/Libraries
License:	GPLv2+
URL:		https://drumstick.sourceforge.net/
Source0:	https://downloads.sourceforge.net/project/drumstick/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(sonivox)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6UiPlugin)
BuildRequires:	cmake(Qt6Widgets)
# to build the manpages
BuildRequires:	docbook-style-xsl
BuildRequires:	xsltproc
BuildRequires:	shared-mime-info

%description
The drumstick library is a C++ wrapper around the ALSA library sequencer
interface, using Qt6 objects, idioms and style. The ALSA sequencer interface
provides software support for MIDI technology on GNU/Linux.

#----------------------------------------------------------------------

%package -n	%{libname}
Summary:	C++/Qt6 wrapper around the ALSA library sequencer interface
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
The drumstick library is a C++ wrapper around the ALSA library sequencer
interface, using Qt6 objects, idioms and style. The ALSA sequencer interface
provides software support for MIDI technology on GNU/Linux.

%files -n	%{libname}
%doc ChangeLog COPYING
%{_libdir}/libdrumstick-*.so.%{major}{,.*}
%{_libdir}/%{name}2/
%{_qt6_plugindir}/designer/lib%{name}-vpiano-plugin.so

#----------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{devname}
This package contains development libraries and headers for %{name}.

%files -n	%{devname}
%{_libdir}/cmake/%{name}/
%{_libdir}/lib%{name}-*.so
%{_libdir}/pkgconfig/%{name}-*.pc
%{_includedir}/%{name}/
%{_includedir}/%{name}.h

#----------------------------------------------------------------------

%package	examples
Summary:	Example programs for %{name}
Group:		Sound/Midi
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name}-i18n >= %{version}

%description	examples
This package contains the test/example programs for %{name}.

%files		examples
%{_bindir}/%{name}-*
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_metainfodir}/net.sourceforge.%{name}-*.metainfo.xml
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}-*.1*

#----------------------------------------------------------------------

%package	i18n
Summary:	Translation files for %{name}
Group:		System/Libraries
BuildArch:	noarch

Conflicts:	%{name}-examples < 2.9.0-3

%description	i18n
This package contains translation files for %{name}.

%files		i18n
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.qm

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt6
%cmake_build

%install
%cmake_install


%changelog
* Thu May 16 2024 daviddavid <daviddavid> 2.9.0-3.mga10
+ Revision: 2064365
- split out in separate sub-pkg all translation files

* Thu May 16 2024 daviddavid <daviddavid> 2.9.0-2.mga10
+ Revision: 2064360
- rebuild for Qt 6.6.2

* Sat Jan 13 2024 daviddavid <daviddavid> 2.9.0-1.mga10
+ Revision: 2030878
- new version: 2.9.0

* Wed Sep 20 2023 daviddavid <daviddavid> 2.8.1-1.mga10
+ Revision: 1988721
-new version: 2.8.1

* Wed Sep 06 2023 daviddavid <daviddavid> 2.8.0-1.mga10
+ Revision: 1984606
- new version: 2.8.0

* Wed Dec 14 2022 daviddavid <daviddavid> 2.7.2-1.mga9
+ Revision: 1922575
- new version: 2.7.2

* Wed Dec 14 2022 daviddavid <daviddavid> 2.6.1-1.mga9
+ Revision: 1922561
- switch to Qt6
+ neoclust <neoclust>
- New version 2.6.1

* Mon Apr 04 2022 umeabot <umeabot> 2.2.0-2.mga9
+ Revision: 1843651
- Mageia 9 Mass Rebuild

* Thu May 20 2021 daviddavid <daviddavid> 2.2.0-1.mga9
+ Revision: 1725750
- new version: 2.2.0

* Sun Apr 18 2021 daviddavid <daviddavid> 2.1.1-1.mga9
+ Revision: 1716403
- new version: 2.1.1

* Thu Apr 01 2021 daviddavid <daviddavid> 2.1.0-1.mga9
+ Revision: 1712437
- new version: 2.1.0

* Sun Jan 03 2021 akien <akien> 2.0.0-1.mga8
+ Revision: 1668431
- Version 2.0.0, major 2

* Wed Dec 16 2020 umeabot <umeabot> 1.1.3-3.mga8
+ Revision: 1658335
- Rebuild for new Qt5

* Sun Feb 16 2020 umeabot <umeabot> 1.1.3-2.mga8
+ Revision: 1536683
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Oct 22 2019 daviddavid <daviddavid> 1.1.3-1.mga8
+ Revision: 1455113
- new version: 1.1.3

* Sat Mar 30 2019 umeabot <umeabot> 1.1.2-2.mga7
+ Revision: 1381609
- Qt5 Rebuild

* Tue Dec 11 2018 akien <akien> 1.1.2-1.mga7
+ Revision: 1340298
- Version 1.1.2

* Sun Sep 23 2018 umeabot <umeabot> 1.1.1-2.mga7
+ Revision: 1297513
- Mageia 7 Mass Rebuild

* Mon May 14 2018 akien <akien> 1.1.1-1.mga7
+ Revision: 1229331
- Version 1.1.1

* Sat Oct 29 2016 akien <akien> 1.1.0-1.mga6
+ Revision: 1063913
- Version 1.1.0

* Mon Jan 25 2016 akien <akien> 1.0.2-1.mga6
+ Revision: 927555
- Version 1.0.2

* Fri Oct 23 2015 akien <akien> 1.0.1-1.mga6
+ Revision: 894772
- Version 1.0.1

* Sat Jan 10 2015 akien <akien> 1.0.0-1.mga5
+ Revision: 809743
- Version 1.0.0
  o Now based on Qt5
  o New drumstick-rt lib
- Proper libification

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-6.mga5
+ Revision: 741005
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.0-5.mga5
+ Revision: 678865
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.0-4.mga4
+ Revision: 503993
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.5.0-3.mga3
+ Revision: 349120
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 sander85 <sander85> 0.5.0-2.mga3
+ Revision: 298695
- Fix build

* Thu Apr 07 2011 ennael <ennael> 0.5.0-1.mga1
+ Revision: 81962
- add missing build require
- clean spec file
+ ahmad <ahmad>
- imported package drumstick


* Fri Sep 10 2010 Funda Wang <fwang@mandriva.org> 0.5.0-1mdv2011.0
+ Revision: 577123
- update to new version 0.5.0

* Tue Aug 03 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.4.1-1mdv2011.0
+ Revision: 565192
- update to 0.4.1
- add BR, docbook-dtd45-xml and xsltproc to build the manpages

* Mon Apr 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.1-1mdv2010.1
+ Revision: 539293
- new release, 0.3.1

* Mon Mar 15 2010 Funda Wang <fwang@mandriva.org> 0.3.0-1mdv2010.1
+ Revision: 519781
- new version 0.3.0

* Mon Feb 22 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.2.99-0.svn.1mdv2010.1
+ Revision: 509374
- fix spec
- Import drumstick for kmid2 (based on Fedora spec


